Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.hibernate
Class HibernateReportJobsPersistenceService

    java.lang.Object
      org.springframework.dao.support.DaoSupport
          org.springframework.orm.hibernate3.support.HibernateDaoSupport
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
                  com.jaspersoft.jasperserver.api.engine.scheduling.hibernate.HibernateReportJobsPersistenceService

All Implemented Interfaces:
  ReportJobsInternalService, ReportJobsPersistenceService, org.springframework.beans.factory.InitializingBean

    public class HibernateReportJobsPersistenceService

extends HibernateDaoImpl
implements ReportJobsPersistenceService, ReportJobsInternalService

Version:
  $Id: HibernateReportJobsPersistenceService.java 9819 2007-08-29 17:42:42Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
`HibernateDaoImpl.DaoCallback`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.springframework.dao.support.DaoSupport
`logger`

Constructor Summary
`HibernateReportJobsPersistenceService()`

Method Summary
`void` | `deleteJob(ExecutionContext context, ReportJobIdHolder jobIdHolder)`
`void` | `deleteJob(long jobId)`
`protected void` | `deleteJob(PersistentReportJob job)`
`long[]` | `deletePersistentJobs(java.util.List jobs)`
`long[]` | `deleteReportUnitJobs(java.lang.String reportUnitURI)`
`protected PersistentReportJob` | `findJob(long jobId, boolean required)`
`protected java.util.List` | `getAllJobs()`
`protected java.lang.String` | `getContextUsername()`
`java.lang.String` | `getJobOwner(long jobId)`
`protected java.util.List` | `getReportUnitJobs(java.lang.String reportUnitURI)`
`SecurityContextProvider` | `getSecurityContextProvider()`
`java.util.List` | `listJobs(ExecutionContext context)`
`java.util.List` | `listJobs(ExecutionContext context, java.lang.String reportUnitURI)`
`ReportJob` | `loadJob(ExecutionContext context, ReportJobIdHolder jobIdHolder)`
`ReportJob` | `saveJob(ExecutionContext context, ReportJob job)`
`ReportJob` | `saveJob(ExecutionContext context, ReportJob job, boolean setContextUsername)`
`void` | `setSecurityContextProvider(SecurityContextProvider securityContextProvider)`
`java.util.List` | `toClientSummary(java.util.List persistentJobs)`
`ReportJob` | `updateJob(ExecutionContext context, ReportJob job)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.HibernateDaoImpl
`endOperation, executeCallback, executeWriteCallback, executeWriteCallback, getOperationTimestamp, startOperation`

Methods inherited from class org.springframework.orm.hibernate3.support.HibernateDaoSupport
`checkDaoConfig, convertHibernateAccessException, createHibernateTemplate, getHibernateTemplate, getSession, getSession, getSessionFactory, releaseSession, setHibernateTemplate, setSessionFactory`

Methods inherited from class org.springframework.dao.support.DaoSupport
`afterPropertiesSet, initDao`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### HibernateReportJobsPersistenceService

    public HibernateReportJobsPersistenceService()

Method Detail

### getSecurityContextProvider

    public SecurityContextProvider getSecurityContextProvider()

### setSecurityContextProvider

    public void setSecurityContextProvider(SecurityContextProvider securityContextProvider)

### saveJob

    public ReportJob saveJob(ExecutionContext context,
                             ReportJob job)

  Specified by:
    `saveJob` in interface `ReportJobsPersistenceService`

### saveJob

    public ReportJob saveJob(ExecutionContext context,
                             ReportJob job,
                             boolean setContextUsername)

  Specified by:
    `saveJob` in interface `ReportJobsInternalService`

### getContextUsername

    protected java.lang.String getContextUsername()

### updateJob

    public ReportJob updateJob(ExecutionContext context,
                               ReportJob job)

  Specified by:
    `updateJob` in interface `ReportJobsPersistenceService`

### loadJob

    public ReportJob loadJob(ExecutionContext context,
                             ReportJobIdHolder jobIdHolder)

  Specified by:
    `loadJob` in interface `ReportJobsPersistenceService`

### deleteJob

    public void deleteJob(ExecutionContext context,
                          ReportJobIdHolder jobIdHolder)

  Specified by:
    `deleteJob` in interface `ReportJobsPersistenceService`

### deleteJob

    public void deleteJob(long jobId)

  Specified by:
    `deleteJob` in interface `ReportJobsInternalService`

### listJobs

    public java.util.List listJobs(ExecutionContext context,
                                   java.lang.String reportUnitURI)

  Specified by:
    `listJobs` in interface `ReportJobsPersistenceService`

### listJobs

    public java.util.List listJobs(ExecutionContext context)

  Specified by:
    `listJobs` in interface `ReportJobsPersistenceService`

### findJob

    protected PersistentReportJob findJob(long jobId,
                                          boolean required)

### getJobOwner

    public java.lang.String getJobOwner(long jobId)

  Specified by:
    `getJobOwner` in interface `ReportJobsInternalService`

### deleteReportUnitJobs

    public long[] deleteReportUnitJobs(java.lang.String reportUnitURI)

  Specified by:
    `deleteReportUnitJobs` in interface `ReportJobsInternalService`

### deleteJob

    protected void deleteJob(PersistentReportJob job)

### getReportUnitJobs

    protected java.util.List getReportUnitJobs(java.lang.String reportUnitURI)

### getAllJobs

    protected java.util.List getAllJobs()

### toClientSummary

    public java.util.List toClientSummary(java.util.List persistentJobs)

### deletePersistentJobs

    public long[] deletePersistentJobs(java.util.List jobs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.